import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})

export class OnlineusersService {
  baseUrl: string = environment.serviceUrl;

  constructor(private httpClient: HttpClient) { }

  Getloginoutuser(mode:string): Observable<any> {
    return this.httpClient.get<any>(this.baseUrl + 'api/ReportApi/Getloginoutuser/' + mode, {  observe: 'response' });
  }
}
